Bug 64767 - [mtrr setup] drastic slowdown with 2GB of RAM on supermicro p6dge motherboard
[mtrr setup] drastic slowdown with 2GB of RAM on supermicro p6dge motherboard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-10 14:09 EDT by Raphael Clifford
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raphael Clifford 2002-05-10 14:09:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:0.9.9+) Gecko/20020424

Description of problem:
Installing 7.3 on a supermicro p6dge motherboard the system runs drastically
more slowly with 2GB of RAM than it does with 1 GB of RAM.  For example, Bonnie
gives 315KB/s character writes with 2GB and 3999KB/s with 1GB.  Everything is
slow though from the boot up to 'ls' to 'configure' etc.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install 7.3 with 2GB of RAM and watch how slow it is to boot up.  Then try
running any piece of software
2.Remove 1GB of RAM and do the same.  Everything is *much* faster.
3.
	

Actual Results:  Booting up and all software are drastically slowed down with
2GB of RAM compared with 1GB of RAM.

Expected Results:  Things should be the same speed or faster with 2GB of RAM

Additional info:

This phenomenom is reproducible using 7.2 too.  I have also tested it using
2.2.x that is only recognising 1GB of RAM and it runs at the correct speed (even
though 2GB of RAM are physically in the machine).  I have flashed the ROM to the
latest version (3.1) with no improvement. 
http://groups.google.com/groups?q=supermicro+redhat+slow&hl=en&selm=ac35897e.0204160803.2a27089%40posting.google.com&rnum=2
seems to report a similar problem.
Comment 1 Raphael Clifford 2002-05-10 14:48:36 EDT
Clarification and simplification:

The easiest way to reproduce the problem is in fact to type mem=2048m or
mem=1024m at the boot prompt.  The memory doesn't have to be physically removed
to show the speedup.
  
The system is a dual PIII 500 Mhz.  I have tested in single user mode with "init
S" and with "linux up" kernel and they make no difference to the problem.
Comment 2 Raphael Clifford 2002-05-10 17:53:52 EDT
The solution is this:  /proc/mtrr is incorrectly set up by redhat.  First it
splits up the regions as 1024MB,512MB,256MB,128MB,64MB,32MB which is
unnecessary.  Secondly this only adds up to 2016MB which is what is slowing the
system down so drastically (32MB at the top are uncached).  

A fix for the second (and much more important) problem is to type 

echo "disable=5" > /proc/mtrr
(this removes the last 32MB cached chunk)

echo "base=0x7c000000 size=0x4000000 type=write-back" >| /proc/mtrr
(this makes a 64MB chuck instead)

at a bash shell prompt as root.  Obviously the mtrr should be correctly set up
at runlevel 1 in the first place.  I haven't done that yet but I hope it is
simple now that I know what is needed.

Presumably this is also a BIOS issue at core but I don't know anything about that :)
Comment 3 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.